pcl::PPFRegistration< PointSource, PointTarget >::PoseWithVotes Struct Reference

Structure for storing a pose (represented as an Eigen::Affine3f) and an integer for counting votes. More...

`#include <pcl/registration/ppf_registration.h>`

## Public Member Functions

| PoseWithVotes (Eigen::Affine3f &a_pose, unsigned int &a_votes)

## Public Attributes

Eigen::Affine3f | pose
unsigned int | votes

## Detailed Description

### template<typename PointSource, typename PointTarget>
struct pcl::PPFRegistration< PointSource, PointTarget >::PoseWithVotes

Structure for storing a pose (represented as an Eigen::Affine3f) and an integer for counting votes.

Note
  initially used std::pair<Eigen::Affine3f, unsigned int>, but it proved problematic because of the Eigen structures alignment problems - std::pair does not have a custom allocator

Definition at line 151 of file ppf_registration.h.

## Constructor & Destructor Documentation

template<typename PointSource, typename PointTarget>

pcl::PPFRegistration< PointSource, PointTarget >::PoseWithVotes::PoseWithVotes | ( | Eigen::Affine3f & | a_pose,
|  | unsigned int & | a_votes
| ) |  |

inline

Definition at line 153 of file ppf_registration.h.

## Member Data Documentation

template<typename PointSource, typename PointTarget>

Eigen::Affine3f pcl::PPFRegistration< PointSource, PointTarget >::PoseWithVotes::pose

Definition at line 158 of file ppf_registration.h.

template<typename PointSource, typename PointTarget>

unsigned int pcl::PPFRegistration< PointSource, PointTarget >::PoseWithVotes::votes

Definition at line 159 of file ppf_registration.h.

Referenced by pcl::PPFRegistration< PointSource, PointTarget >::setInputTarget().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/registration/include/pcl/registration/ppf_registration.h